Create a spec draft

​

Stores inline markdown files as a temporary draft

Body

required
application/json
  • Inline markdown files

    Properties: 2
  • Draft display name

Responses

  • application/json
Request Example for post/viewer/v1/drafts
curl https://api.specs.wseng.ai/viewer/v1/drafts \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "name": "My spec draft",
  "files": [
    {
      "fileName": "overview.md",
      "content": "# Overview\n\nDraft content.\n"
    }
  ]
}'
{
  "draftId": "string",
  "continuationUrl": "string",
  "expiresAt": "string"
}